Skip to main content
POST
/
Agent
/
Storage
/
CreateVaultLink
Create Vault Link
curl --request POST \
  --url https://{host}/Agent/Storage/CreateVaultLink \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vaultId": "<string>",
  "keyId": "<string>",
  "nonce": "<string>",
  "keySignature": "<string>",
  "requestSignature": "<string>",
  "ttl": 123,
  "useCount": 123,
  "masked": true
}
'
{
  "url": "<string>"
}

Overview

Allows the client to create a secure link to a vault item, for distribution. The client can set the number of times the link can be used, as well as an expiration time.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
vaultId
string
required
keyId
string
required
nonce
string
required
keySignature
string
required
requestSignature
string
required
ttl
integer
useCount
integer
masked
boolean

Response

200 - application/json

Success

url
string
required